For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Overview
    • Introduction
    • Response Codes
  • API Reference
          • GETList seat threads
          • GETGet thread
          • PUTUpdate thread
          • DELDelete thread
          • POSTGenerate AI response (experimental)
LogoLogo
API ReferenceInboxLinkedinThreads

List seat threads

||View as Markdown|
GET
https://hublinks.io/rest/accounts/:account_id/seats/:seat_id/inbox/linkedin/threads
GET
/rest/accounts/:account_id/seats/:seat_id/inbox/linkedin/threads
$curl https://hublinks.io/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads \
> -H "X-API-KEY: <apiKey>"
200Response
1{
2 "success": true,
3 "threads": [
4 {
5 "read": false,
6 "type": "profile",
7 "urn_lp": "ACoAAAozmmIBqnheTd_gX_PlVdeUIFcgGHE3RIs",
8 "seat_id": "SEAT6a13e661ecc6a86e3fb7",
9 "ln_inbox": "LP",
10 "last_name": "Kubiak",
11 "ln_degree": 1,
12 "member_id": "171154018",
13 "thread_id": "2-M2NmOGI4Y2UtYjk1ZS00OWQ2LWI0NzYtMjM4M2UzZTI0N2M4XzEwMA==",
14 "account_id": "ACCO136ce10b5f8a7682efb3",
15 "created_at": 1755712036953,
16 "first_name": "Michael",
17 "updated_at": 1755712036953,
18 "ln_headline": "Account & Relationship Management Executive (Michigan), Wolters Kluwer Health Learning, Research & Practice",
19 "last_message_at": 1755698701352
20 },
21 {
22 "read": true,
23 "type": "profile",
24 "urn_lp": "ACoAAD9buUUBHGtToaHm5ToNeNYvOH337H1QNVQ",
25 "seat_id": "SEAT6a13e661ecc6a86e3fb7",
26 "ln_inbox": "LP",
27 "last_name": "Tennies",
28 "ln_degree": 1,
29 "member_id": "1062975813",
30 "thread_id": "2-M2ZiYzNkMjUtOGQ3OC00NjhjLTk0NWUtMDk2ZjhkM2UwYTczXzEwMA==",
31 "account_id": "ACCO136ce10b5f8a7682efb3",
32 "created_at": 1753796664966,
33 "first_name": "Paul",
34 "updated_at": 1753882338574,
35 "ln_headline": "Deputy Chief of Police University of Michigan- Dearborn Campus Chief of Police (Ret) l PERF SMIP Session #81",
36 "last_message_at": 1753794910981
37 },
38 {
39 "read": false,
40 "type": "profile",
41 "urn_lp": "ACoAAAEiKX0Bgtt0lGbYw8Yk3UzOHPIFvZxazhE",
42 "seat_id": "SEAT6a13e661ecc6a86e3fb7",
43 "ln_inbox": "LP",
44 "last_name": "Brown",
45 "ln_degree": 1,
46 "member_id": "19016061",
47 "thread_id": "2-MGY0M2RmYTctNjQ1MC00NmVkLWEwNmMtODNkMjM5NGM3NmQ1XzEwMA==",
48 "account_id": "ACCO136ce10b5f8a7682efb3",
49 "created_at": 1756480809797,
50 "first_name": "Andrea Dyan",
51 "updated_at": 1756480809797,
52 "ln_headline": "Stronger Brands, Smarter Strategies | Business Strategist | Author | Speaker | AI Strategist",
53 "last_message_at": 1756142217642
54 },
55 {
56 "read": false,
57 "type": "profile",
58 "urn_lp": "ACoAAAEdvJIBIuP76VKBi9j0sAIfhLsOe86Rrh8",
59 "seat_id": "SEAT6a13e661ecc6a86e3fb7",
60 "ln_inbox": "LP",
61 "last_name": "Topouzian",
62 "ln_degree": 1,
63 "member_id": "18726034",
64 "thread_id": "2-MTg3NTY0MDgtMjhiNi00MGI1LWI4ZGYtZTc5NDA3M2EzNWVkXzEwMA==",
65 "account_id": "ACCO136ce10b5f8a7682efb3",
66 "created_at": 1755819868213,
67 "first_name": "Ara",
68 "updated_at": 1755819868213,
69 "ln_headline": "Executive Director at Michigan Venture Capital Association",
70 "last_message_at": 1755803063053
71 },
72 {
73 "read": true,
74 "type": "profile",
75 "urn_lp": "ACoAAAY2bN0BnZNazyAQZsJflaAV8Z4ZMowAPJw",
76 "seat_id": "SEAT6a13e661ecc6a86e3fb7",
77 "ln_inbox": "LP",
78 "last_name": "Peltz",
79 "ln_degree": 2,
80 "member_id": "104230109",
81 "thread_id": "2-Mjc1MDAyY2QtNjljYy00MTM3LWI2MDktYmYwZTI0MTQyZjg2XzEwMA==",
82 "account_id": "ACCO136ce10b5f8a7682efb3",
83 "created_at": 1753728057247,
84 "first_name": "Elan",
85 "updated_at": 1753803462419,
86 "ln_headline": "CEO @ Blackwatch '68 Properties | Award Winning Boutique Properties | Vintage Modern Luxury Apts | Michigan Beach Vacation Airbnbs | Bucktown Luxury Apts | Unique Milwaukee Lakefront Residences",
87 "last_message_at": 1753716383434
88 }
89 ]
90}
List Linkedin threads for a seat.
Was this page helpful?
Previous

Delete message

Next

Get thread

Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired
seat_idstringRequired

Response

This endpoint returns an object.
successboolean
threadslist of objects
last_keyany